Contents

POST/fb/subscriber/setCustomFieldByName

Sets one custom field for a contact, by field name (not case-sensitive).

Key
The account's key, as a Bearer token
Limit
10 requests per second per key

Parameters

NameInTypeRequired
subscriber_idJSON bodyinteger or stringYes
field_nameJSON bodystringYes
field_valueJSON bodystring or number or boolean or array of string or number or nullYes

Request

curl -X POST https://engage.growthdept.ai/api/fb/subscriber/setCustomFieldByName \
  -H "Authorization: Bearer 1000001:YOUR_SECRET" \
  -H "Content-Type: application/json" \
  -d '{"subscriber_id":{},"field_name":"text","field_value":{}}'

Answer

HTTP 200 with status: "success".

Errors

  • 400 Refused
  • 401 Missing or invalid key
  • 429 Over the operation's limit; see Retry-After

Shapes and numbered codes: Errors.